Name:		mspdebug
Version:	0.16
Release:	1%{?dist}
Summary:	Debugger and gdb proxy for MSP430 MCUs
Group:		Development/Tools
License:	GPLv2+
URL:		http://mspdebug.sourceforge.net/
Source0:	https://downloads.sourceforge.net/project/mspdebug/mspdebug-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	libusb-devel
BuildRequires:	readline-devel

%description
A a free debugger for use with MSP430 MCUs. It supports FET430UIF,
eZ430, RF2500 and TI Chronos devices. It can be used as a proxy for
gdb or as an independent debugger with support for programming,
disassembly and reverse engineering.

%prep
%setup -q

%build
# add -DDEBUG_GDB to CFLAGS for gdb debugging output
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix} INSTALL="install -p"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_bindir}/mspdebug
%{_mandir}/man1/mspdebug.1*

%changelog
* Wed Jul 27 2011 Rob Spanton <rspanton@zepler.net> - 0.16-1
- Bump up to 0.16

* Tue Apr 19 2011 Rob Spanton <rspanton@zepler.net> - 0.15-1
- Bump up to 0.15

* Mon Feb 14 2011 Rob Spanton <rspanton@zepler.net> - 0.14-2
- Bump up to 0.14

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 9 2010 Rob Spanton <rspanton@zepler.net> - 0.13-1
- Bump up to 0.13

* Sat Oct 12 2010 Rob Spanton <rspanton@zepler.net> - 0.12-1
- Bump up to 0.12

* Sat Oct 02 2010 Rob Spanton <rspanton@zepler.net - 0.11-1
- Bump up to 0.11

* Thu Aug 19 2010 Till Maas <opensource@till.name> - 0.10-2
- Do not strip binary in install (RH 625501)
- simplify %%setup
- use %%{version} in Source0

* Tue Aug 17 2010 Rob Spanton <rspanton@zepler.net> - 0.10-1
- Bump up to 0.10

* Sat Jul 03 2010 Till Maas <opensource@till.name> - 0.9-2.0.20100702git74a11c1a
- Use "install -p"
- remove unneeded mkdir
- adjust license tag
- include AUTHORS and COPYING in as %%doc
- set LDFLAGS=$RPM_OPT_FLAGS
- remove -DDEBUG_GDB from CFLAGS
- add patch to support DESTDIR

* Fri Jul 02 2010 Till Maas <opensource@till.name> - 0.9-1.0.20100702git74a11c1a
- add VCS: comment
- Use snapshot with included patches and multiple breakpoint support

* Thu Jul 01 2010 Till Maas <opensource@till.name> - 0.8-2.5
- Substitute Patch1 with a new one to increase more buffers

* Thu Jul 01 2010 Till Maas <opensource@till.name> - 0.8-2.4
- Add -DDEBUG_GDB to CFLAGS

* Thu Jul 01 2010 Till Maas <opensource@till.name> - 0.8-2.3
- Add patch to increase gdb command buffer?

* Wed Jun 30 2010 Till Maas <opensource@till.name> - 0.8-2.2
- make failure to set VCC non fatal
- Use %%{_bindir} in %%files
- Adjust Summary

* Mon Jun 28 2010 Till Maas <opensource@till.name> - 0.8-2.1
- Add readline-devel BR
- Respect %%optflags
- remove uneeded cds / simplify %%setup
- use globbing for manpage in %%files

* Sat May 29 2010 Rob Spanton rspanton@zepler.net 0.8-2
- Write description of mspdebug.

* Sat May 22 2010 Rob Spanton rspanton@zepler.net 0.8-1
- Update to 0.8.

* Tue May 11 2010 Rob Spanton rspanton@zepler.net 0.7-1
- Initial 0.7 release.
